Bug 202818 - [patch][maintainer update] update www/h2o to 1.4.4
Summary: [patch][maintainer update] update www/h2o to 1.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Grzegorz Blach
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-09-01 21:12 UTC by Dave Cottlehuber
Modified: 2015-09-18 09:57 UTC (History)
1 user (show)

See Also:


Attachments
git diff generated (2.56 KB, patch)
2015-09-01 21:12 UTC, Dave Cottlehuber
dch: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2015-09-01 21:12:11 UTC
Created attachment 160608 [details]
git diff generated

# portlint

WARN: Makefile: possible use of absolute pathname "/var/log/${PORTNAME}...".
WARN: Makefile: possible use of absolute pathname "/var/run/${PORTNAME}...".
0 fatal errors and 2 warnings found.

if there's a way to improve the port and remove these warnings please let me know.

# poudriere

http://pkg.skunkwerks.at/poudriere/data/10_2_amd64-default/2015-09-01_20h14m36s/logs/h2o-1.4.4.log

# patch

https://github.com/dch/freebsd-ports/tree/h2o
Comment 1 Grzegorz Blach freebsd_committer 2015-09-06 18:00:52 UTC
I'll take this
Comment 2 commit-hook freebsd_committer 2015-09-06 19:30:03 UTC
A commit references this bug:

Author: gblach
Date: Sun Sep  6 19:29:12 UTC 2015
New revision: 396229
URL: https://svnweb.freebsd.org/changeset/ports/396229

Log:
  - Update to 1.4.4 [1]
  - Drop 8.x support [2]

  PR:		202818 [1]
  Submitted by:	Dave Cottlehuber (dch <at> skunkwerks <dot> at) [1]
  Approved by:	portmgr blanket [2]

Changes:
  head/www/h2o/Makefile
  head/www/h2o/distinfo
  head/www/h2o/files/patch-CMakeLists.txt
Comment 3 Grzegorz Blach freebsd_committer 2015-09-06 19:30:29 UTC
Committed, thanks.
Comment 4 commit-hook freebsd_committer 2015-09-18 09:57:28 UTC
A commit references this bug:

Author: junovitch
Date: Fri Sep 18 09:56:31 UTC 2015
New revision: 397229
URL: https://svnweb.freebsd.org/changeset/ports/397229

Log:
  MFH r393066,r396229,r396629,r397062:

  r393066
  www/h2o: 1.2.0 -> 1.4.2

  ChangeLog:
  https://github.com/h2o/h2o/releases

  PR:		200998
  Submitted by:	sean@x-n.su
  Approved by:	Dave Cottlehuber <dch@skunkwerks.at> (maintainer)

  r396229
  - Update to 1.4.4 [1]
  - Drop 8.x support [2]

  PR:		202818 [1]
  Submitted by:	Dave Cottlehuber (dch <at> skunkwerks <dot> at) [1]
  Approved by:	portmgr blanket [2]

  r396629
  - Fix rc.d script
  - Bump PORTVERSION

  PR:		202937
  Submitted by:	gblach
  Approved by:	Dave Cottlehuber (dch <at> skunkwerks <dot> at)

  r397062
  - Fix rc.d issues introduced with recent perl changes [1]
  - Update to 1.4.5 [2]

  PR:		203147 [1], 203096 [2]
  Submitted by:	Dave Cottlehuber (maintainer)

  Security:	31ea7f73-5c55-11e5-8607-74d02b9a84d5
  Security:	CVE-2015-5638
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/www/h2o/Makefile
  branches/2015Q3/www/h2o/distinfo
  branches/2015Q3/www/h2o/files/h2o.conf.sample
  branches/2015Q3/www/h2o/files/h2o.in
  branches/2015Q3/www/h2o/files/patch-CMakeLists.txt
  branches/2015Q3/www/h2o/pkg-plist